%define		_state		stable
%define		orgname		picmi
%define		qtver		4.8.0

Summary:	picmi
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	f41bdb5baf6e00c83981369f5a624a98
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdegames-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	kde4-kdegames-%{orgname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
picmi.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT/var/games
# remove locolor icons
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{orgname}	--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%attr(755,root,root) %{_bindir}/picmi
%{_desktopdir}/kde4/picmi.desktop
%{_datadir}/apps/picmi
%{_iconsdir}/*/*/apps/picmi.png
%{_iconsdir}/hicolor/scalable/apps/picmi.svgz
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-picmi.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> f14d724
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c9910a4
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 964d155
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6f3dae7
- updated to 4.13.1 (by update-kde4.sh)

* Mon May 12 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 03efd91
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 54045cf
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c662db8
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 699c0fb
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5b6a680
- updated to 4.12.1 (by update-kde4.sh)

* Wed Dec 25 2013 Witold Filipczyk <witekfl@poczta.onet.pl> b033a0b
- new

